__gnu_cxx::limit_condition(3cxx)

NAME
__gnu_cxx::limit_condition - Base class for incremental control and throw.

SYNOPSIS

#include <throw_allocator.h>

Inherits __gnu_cxx::condition_base.

Inherited by __gnu_cxx::throw_allocator_base< _Tp, limit_condition >, and __gnu_cxx::throw_value_base< limit_condition >.

  Classes

struct always_adjustor
Always enter the condition.
struct limit_adjustor
Enter the nth condition.
struct never_adjustor
Never enter the condition.

  Static Public Member Functions

static size_t & count ()
static size_t & limit ()
static void set_limit (const size_t __l)
static void throw_conditionally ()

Detailed Description

Base class for incremental control and throw.

Definition at line 430 of file throw_allocator.h.

Member Function Documentation

  static size_t & __gnu_cxx::limit_condition::count () [inline], [static]

Definition at line 476 of file throw_allocator.h.

  static size_t & __gnu_cxx::limit_condition::limit () [inline], [static]

Definition at line 483 of file throw_allocator.h.

  static void __gnu_cxx::limit_condition::set_limit (const size_t __l) [inline], [static]

Definition at line 491 of file throw_allocator.h.

  static void __gnu_cxx::limit_condition::throw_conditionally () [inline], [static]

Definition at line 468 of file throw_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.